public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Amy Liffey" <amynka@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-lang/lazarus/
Date: Thu, 20 Sep 2018 13:25:48 +0000 (UTC)	[thread overview]
Message-ID: <1537449889.d318748c335f495f3c101f6064327d378e5e15c0.amynka@gentoo> (raw)

commit:     d318748c335f495f3c101f6064327d378e5e15c0
Author:     Horea Christian <horea.christ <AT> yandex <DOT> com>
AuthorDate: Wed Sep 19 07:39:49 2018 +0000
Commit:     Amy Liffey <amynka <AT> gentoo <DOT> org>
CommitDate: Thu Sep 20 13:24:49 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d318748c

dev-lang/lazarus: Added Python binding support

- handled by USE flag

Closes: https://github.com/gentoo/gentoo/pull/9910
Signed-off-by: Horea Christian <horea.christ <AT> gmail.com>
Signed-off-by: Amy Liffey <amynka <AT> gentoo.org>

Package-Manager: Portage-2.3.49, Repoman-2.3.10

 dev-lang/lazarus/Manifest                |  1 +
 dev-lang/lazarus/lazarus-1.8.4-r1.ebuild | 94 ++++++++++++++++++++++++++++++++
 2 files changed, 95 insertions(+)

diff --git a/dev-lang/lazarus/Manifest b/dev-lang/lazarus/Manifest
index 9f88fd302ef..ba0072068ae 100644
--- a/dev-lang/lazarus/Manifest
+++ b/dev-lang/lazarus/Manifest
@@ -3,4 +3,5 @@ DIST lazarus-1.6.2-0.tar.gz 55949169 BLAKE2B e8d4c4f786bffea4eec9ed326ba00acca93
 DIST lazarus-1.6.4-0.tar.gz 57180961 BLAKE2B 930beda6ad04999e749fe4b76a64ab00b0138c18b0f3aea0cbac089ecb3f419aa4165d06757d6ee2d3c6e43401f2be5e154947d07f892a6bc5f4bb8831bad62d SHA512 d7d498483ef9e1eebd0d8ca2325d1984cb1297837ebe2f9547e67f26fc049c2168e2feeac739b8403c08a8251040e9161c962d25951545384ffbdbb076fda2aa
 DIST lazarus-1.8.0.tar.gz 62114372 BLAKE2B 8593e384ef5e311f3a777422a255e292d2d4c240baac0cb12778bb23e59d76301d75c9133585fd45af3ad0290b242ed5640a6dd9b27e1197d325e2ae5845495f SHA512 dd5e02e9c0a057cf9a6b2c15605969cf4cb743aa78fc81bfdc7c566434127893cf32bab5bd1729f79b51c611bf9ae015bea8d774e0544ead42a064f1224ffd7b
 DIST lazarus-1.8.2.tar.gz 62935678 BLAKE2B f993e9630ab932a7a7f7bcf488d179d33a6dfef6c1de749d01c12f91f894bccd05a784ec2e2b89a9565421a192abce6c1675df2676bfff2fd8307d2ab4828db5 SHA512 3dddbf3bfacb0b04c427086c911a4ff67be0d5b291d23c1efce2d813e2cbd2e26b54b2851b5ad223f8df8c2652c002bc684a54c936a0a77c85ccdce08651531b
+DIST lazarus-1.8.4-python.tar.gz 1060859 BLAKE2B 4d6f7dc275aacd0f70d9f7c85aba99a7722b02165a5bf287bfeed46f28e3b36c5abeac19bd7c6555250102dce169f7c9c213b634ce1b634c24dadc84171aed10 SHA512 f244b4e86410fdb2ffe8ccba7fcb51c270286172b6102f757118827cac3b652210a625d65dd6c017c1992983527792ed64334291ab0e0b824f187316452c56b5
 DIST lazarus-1.8.4.tar.gz 63130653 BLAKE2B f9b2ba9971f1a9a9c3b8d2004bd3516c12db5384bb6243ef275c2fc0d458634fba0c1c23e7ecd5c160c1204d6cc2b4ebc340ce8bb5cfdd9c531f8c36ae59d1e2 SHA512 82cdc3c32dddf8e67c0bed9292a9a924227bab50f22ca479f5e98ecccbf60dd66c7f886ecb8e2979d9d8fccc3d25462ee8c55fcab085aa4194b4704660e0b95d

diff --git a/dev-lang/lazarus/lazarus-1.8.4-r1.ebuild b/dev-lang/lazarus/lazarus-1.8.4-r1.ebuild
new file mode 100644
index 00000000000..4564a9467aa
--- /dev/null
+++ b/dev-lang/lazarus/lazarus-1.8.4-r1.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit desktop
+
+FPCVER="3.0.4"
+PYTHON_HASH="586eec1a5ea609ef9df2bf586be06825d9fbd50f"
+
+DESCRIPTION="Lazarus IDE is a feature rich visual programming environment emulating Delphi"
+HOMEPAGE="https://www.lazarus-ide.org/"
+SRC_URI="
+	python? ( https://github.com/Alexey-T/Python-for-Lazarus/archive/${PYTHON_HASH}.tar.gz ->\
+		${P}-python.tar.gz )
+	https://sourceforge.net/projects/${PN}/files/Lazarus%20Zip%20_%20GZip/Lazarus%20${PV}/${P}.tar.gz"
+
+LICENSE="GPL-2 LGPL-2.1-with-linking-exception"
+SLOT="0" # Note: Slotting Lazarus needs slotting fpc, see DEPEND.
+KEYWORDS="~amd64 ~x86"
+IUSE="minimal python"
+
+DEPEND=">=dev-lang/fpc-${FPCVER}[source]
+	net-misc/rsync
+	x11-libs/gtk+:2
+	>=sys-devel/binutils-2.19.1-r1:="
+RDEPEND="${DEPEND}"
+
+RESTRICT="strip" #269221
+
+S="${WORKDIR}/${PN}"
+
+PATCHES=( "${FILESDIR}"/${PN}-0.9.26-fpcsrc.patch )
+
+src_prepare() {
+	default
+	# Use default configuration (minus stripping) unless specifically requested otherwise
+	if ! test ${PPC_CONFIG_PATH+set} ; then
+		local FPCVER=$(fpc -iV)
+		export PPC_CONFIG_PATH="${WORKDIR}"
+		sed -e 's/^FPBIN=/#&/' /usr/lib/fpc/${FPCVER}/samplecfg |
+			sh -s /usr/lib/fpc/${FPCVER} "${PPC_CONFIG_PATH}" || die
+	fi
+}
+
+src_compile() {
+	LCL_PLATFORM=gtk2 emake \
+		$(usex minimal "" "bigide") \
+		-j1
+	if use python; then
+		addpredict ide/exttools.pas
+		./lazbuild -B --lazarusdir="." --pcp="with-packages" --build-ide= \
+			--add-package ../Python-for-Lazarus-${PYTHON_HASH}/python4lazarus/python4lazarus_package.lpk \
+			|| die
+		sed -i -e "s:${WORKDIR}/Python-for-Lazarus-${PYTHON_HASH}:/usr/share/lazarus/with-packages:g" \
+			with-packages/packagefiles.xml \
+			with-packages/idemake.cfg \
+			../Python-for-Lazarus-${PYTHON_HASH}/python4lazarus/lib/x86_64-linux/python4lazarus_package.compiled \
+			|| die
+	fi
+}
+
+src_install() {
+	diropts -m0755
+	dodir /usr/share
+	# Using rsync to avoid unnecessary copies and cleaning...
+	# Note: *.o and *.ppu are needed
+	rsync -a \
+		--exclude="CVS"     --exclude=".cvsignore" \
+		--exclude="*.ppw"   --exclude="*.ppl" \
+		--exclude="*.ow"    --exclude="*.a"\
+		--exclude="*.rst"   --exclude=".#*" \
+		--exclude="*.~*"    --exclude="*.bak" \
+		--exclude="*.orig"  --exclude="*.rej" \
+		--exclude=".xvpics" --exclude="*.compiled" \
+		--exclude="killme*" --exclude=".gdb_hist*" \
+		--exclude="debian"  --exclude="COPYING*" \
+		--exclude="*.app" \
+		"${S}" "${ED%/}"/usr/share \
+		|| die "Unable to copy files!"
+
+	dosym ../share/lazarus/startlazarus /usr/bin/startlazarus
+	dosym ../share/lazarus/startlazarus /usr/bin/lazarus
+	dosym ../share/lazarus/lazbuild /usr/bin/lazbuild
+	use minimal || dosym ../share/lazarus/components/chmhelp/lhelp/lhelp /usr/bin/lhelp
+	dosym ../lazarus/images/ide_icon48x48.png /usr/share/pixmaps/lazarus.png
+
+	if use python; then
+		cp -rf ../Python-for-Lazarus-${PYTHON_HASH}/python4lazarus \
+			"${ED%/}"/usr/share/lazarus/with-packages || die
+	fi
+
+	make_desktop_entry startlazarus "Lazarus IDE" "lazarus"
+}


             reply	other threads:[~2018-09-20 13:25 UTC|newest]

Thread overview: 37+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-09-20 13:25 Amy Liffey [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-14  9:37 [gentoo-commits] repo/gentoo:master commit in: dev-lang/lazarus/ Sam James
2024-06-14  9:33 Sam James
2024-06-14  7:34 Sam James
2024-06-14  7:33 Sam James
2024-06-14  7:33 Sam James
2024-06-09 16:13 Sam James
2023-01-11  9:41 Amy Liffey
2023-01-11  9:41 Amy Liffey
2022-12-13  9:10 Amy Liffey
2022-12-12 18:40 Amy Liffey
2022-02-02 14:46 Amy Liffey
2022-01-15 14:15 Andreas Sturmlechner
2021-10-16  7:11 Agostino Sarubbo
2021-10-16  7:10 Agostino Sarubbo
2021-10-14 10:54 Sam James
2021-04-25 18:06 Andreas Sturmlechner
2020-04-25 18:54 Amy Liffey
2020-04-25 13:16 Amy Liffey
2020-04-25 13:16 Amy Liffey
2020-01-17 10:30 Agostino Sarubbo
2020-01-14 16:14 Agostino Sarubbo
2019-07-14 18:51 Amy Liffey
2019-07-14 18:51 Amy Liffey
2018-09-23 15:24 Amy Liffey
2018-09-20 13:25 Amy Liffey
2018-05-27  9:38 Amy Liffey
2018-05-19  8:28 Amy Liffey
2018-03-17  6:45 Matt Turner
2018-01-21 14:22 Amy Liffey
2017-10-03 19:01 Amy Liffey
2017-08-11 20:14 Amy Liffey
2017-03-26 16:05 Amy Liffey
2016-12-11  9:52 Amy Winston
2016-03-14 12:57 Amy Winston
2016-02-21 21:25 Amy Winston
2016-02-21 21:25 Amy Winston

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1537449889.d318748c335f495f3c101f6064327d378e5e15c0.amynka@gentoo \
    --to=amynka@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox